krop(1)

NAME
krop - a tool to crop PDF files

SYNOPSIS
krop [options] [file]

DESCRIPTION
This manual page briefly documents the krop command.

krop is a simple graphical tool to crop the pages of PDF files. It is written in Python and relies on PyQT, python-poppler-qt5 and PyPDF2 for its functionality. A unique feature of krop is its ability to automatically split pages into subpages to fit the limited screen size of devices such as eReaders. This is particularly useful, if your eReader does not support convenient scrolling.

OPTIONS
A summary of options is included below. For a complete description, use the --help option.

  Arguments:

file
    PDF file to open

  Options:

-h, --help
    show help, including all options, and exit

-v, --version
    show program's version number and exit

-o OUTPUT, --output OUTPUT
    where to save the cropped PDF

--whichpages WHICHPAGES
    which pages (e.g. "1-5" or "1,3-") to include in cropped PDF (default: all)

--rotate {0,90,180,270}
    how much to rotate the cropped pdf clockwise (default: 0)

--optimize {gs,no}
    whether to optimize the final PDF using ghostscript (default: previous choice)

--grid GRID
    if set to 2x3, for instance, creates a 2x3 grid of selections on initial page; if only one number is specified, the number of columns/rows is determined according to whether the page is landscape or portrait

--initialpage INITIALPAGE
    which page to open initially (default: 1)

--selections {all,evenodd,individual}
    to which pages should selections apply

--exceptions EXCEPTIONS
    pages (e.g. "1-5" or "1,3-") which require individual selections

--trim
    if specified, will auto trim initial selections

--trim-use {initial,all}
    whether to inspect only the initial page or all pages (slow!) when auto trimming (default: previous value)

--trim-padding TRIM_PADDING
    how much padding to include when auto trimming (default: previous value)

--go
    output PDF without opening the krop GUI (using the choices supplied on the command line); if used in a script without X server access, you can run krop using xvfb-run

--no-kde
    do not use KDE libraries (default: use if available)

--no-qt5
    do not use PyQt5 instead of PyQt4 (default: use PyQt5 if available)

--no-PyPDF2
    do not use PyPDF2 instead of pyPdf (default: use PyPDF2 if available)